%define upstream_name TAP-Harness-Archive
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Create an archive of TAP test results
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/W/WO/WONKO/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Cwd)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(TAP::Harness) >= 3.50.0
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(base) >= 2.180.0
BuildArch:  noarch

Requires:   perl(TAP::Harness) >= 3.05
Requires:   perl
%{?perl_default_filter}

%description
This module is a direct subclass of TAP::Harness and behaves in exactly the
same way except for one detail. In addition to outputting a running progress
of the tests and an ending summary it can also capture all of the raw TAP
from the individual test files or streams into an archive file (.tar or
.tar.gz).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.180.0-5.mga9
+ Revision: 1805895
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-4.mga8
+ Revision: 1497259
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-3.mga7
+ Revision: 1271455
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-2.mga6
+ Revision: 1033664
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.180.0-1.mga6
+ Revision: 1002482
- Add missing BR
- update to 0.18

* Thu Feb 18 2016 umeabot <umeabot> 0.170.0-2.mga6
+ Revision: 967516
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 849123
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.150.0-5.mga5
+ Revision: 747380
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.150.0-4.mga5
+ Revision: 735939
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.150.0-3.mga5
+ Revision: 686304
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.150.0-1.mga4
+ Revision: 487044
- update to 0.15

* Sun Jan 13 2013 umeabot <umeabot> 0.14-2.mga3
+ Revision: 373010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 15 2011 saispo <saispo> 0.14-1.mga1
+ Revision: 72146
- imported package perl-TAP-Harness-Archive

